diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/wifi/test/wifi-error-rate-models-test.cc ns-3.34/src/wifi/test/wifi-error-rate-models-test.cc
--- ns-3.33/src/wifi/test/wifi-error-rate-models-test.cc	2021-01-09 10:19:23.000000000 -0800
+++ ns-3.34/src/wifi/test/wifi-error-rate-models-test.cc	2021-07-14 10:31:07.000000000 -0700
@@ -27,6 +27,7 @@
 #include "ns3/wifi-phy.h"
 #include "ns3/wifi-utils.h"
 #include "ns3/table-based-error-rate-model.h"
+#include "ns3/he-phy.h" //includes HT and VHT
 
 using namespace ns3;
 
@@ -57,7 +58,7 @@
   virtual ~WifiErrorRateModelsTestCaseDsss ();
 
 private:
-  virtual void DoRun (void);
+  void DoRun (void) override;
 };
 
 WifiErrorRateModelsTestCaseDsss::WifiErrorRateModelsTestCaseDsss ()
@@ -166,7 +167,7 @@
   virtual ~WifiErrorRateModelsTestCaseNist ();
 
 private:
-  virtual void DoRun (void);
+  void DoRun (void) override;
 };
 
 WifiErrorRateModelsTestCaseNist::WifiErrorRateModelsTestCaseNist ()
@@ -299,7 +300,7 @@
 {
 public:
   using InterferenceHelper::InterferenceHelper;
-  using InterferenceHelper::CalculateChunkSuccessRate;
+  using InterferenceHelper::CalculatePayloadChunkSuccessRate;
   using InterferenceHelper::CalculateSnr;
 };
 
@@ -316,7 +317,7 @@
   virtual ~WifiErrorRateModelsTestCaseMimo ();
 
 private:
-  virtual void DoRun (void);
+  void DoRun (void) override;
 };
 
 WifiErrorRateModelsTestCaseMimo::WifiErrorRateModelsTestCaseMimo ()
@@ -333,7 +334,7 @@
 {
   TestInterferenceHelper interference;
   interference.SetNoiseFigure (0);
-  WifiMode mode = WifiPhy::GetHtMcs0 ();
+  WifiMode mode = HtPhy::GetHtMcs0 ();
   WifiTxVector txVector;
 
   txVector.SetMode (mode);
@@ -351,7 +352,7 @@
   double snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr, 0.1, "Attempt to set initial SNR to known value failed");
   Time duration = MilliSeconds (2);
-  double chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  double chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_EQ_TOL (chunkSuccess, 0.905685, 0.000001, "CSR not within tolerance for SISO");
   double sisoChunkSuccess = chunkSuccess;
 
@@ -360,7 +361,7 @@
   txVector.SetNTx (2);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr, 0.1, "SNR not within tolerance for 2x1:2 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_EQ_TOL (chunkSuccess, 0.905685, 0.000001, "CSR not within tolerance for SISO");
 
   // MIMO 1x2:1: expect that SNR is increased by a factor of 3 dB (10 log 2/1) compared to SISO thanks to RX diversity
@@ -369,7 +370,7 @@
   interference.SetNumberOfReceiveAntennas (2);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 3, 0.1, "SNR not within tolerance for 1x2:1 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 1x2:1 MIMO");
 
   // MIMO 2x2:1: expect that SNR is increased by a factor of 3 dB (10 log 2/1) compared to SISO thanks to RX diversity
@@ -378,7 +379,7 @@
   interference.SetNumberOfReceiveAntennas (2);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 3, 0.1, "SNR not equal within tolerance for 2x2:1 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 2x2:1 MIMO");
 
  // MIMO 2x2:2: expect no SNR gain in AWGN channel
@@ -387,7 +388,7 @@
   interference.SetNumberOfReceiveAntennas (2);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr, 0.1, "SNR not equal within tolerance for 2x2:2 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_EQ_TOL (chunkSuccess, sisoChunkSuccess, 0.000001, "CSR not within tolerance for 2x2:2 MIMO");
 
   // MIMO 3x3:1: expect that SNR is increased by a factor of 4.8 dB (10 log 3/1) compared to SISO thanks to RX diversity
@@ -396,7 +397,7 @@
   interference.SetNumberOfReceiveAntennas (3);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 4.8, 0.1, "SNR not within tolerance for 3x3:1 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 3x3:1 MIMO");
 
   // MIMO 3x3:2: expect that SNR is increased by a factor of 1.8 dB (10 log 3/2) compared to SISO thanks to RX diversity
@@ -405,7 +406,7 @@
   interference.SetNumberOfReceiveAntennas (3);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 1.8, 0.1, "SNR not within tolerance for 3x3:2 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 3x3:2 MIMO");
 
   // MIMO 3x3:3: expect no SNR gain in AWGN channel
@@ -414,7 +415,7 @@
   interference.SetNumberOfReceiveAntennas (3);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr, 0.1, "SNR not within tolerance for 3x3:3 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_EQ_TOL (chunkSuccess, sisoChunkSuccess, 0.000001, "CSR not equal within tolerance for 3x3:3 MIMO");
 
   // MIMO 4x4:1: expect that SNR is increased by a factor of 6 dB (10 log 4/1) compared to SISO thanks to RX diversity
@@ -423,7 +424,7 @@
   interference.SetNumberOfReceiveAntennas (4);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 6, 0.1, "SNR not within tolerance for 4x4:1 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 4x4:1 MIMO");
 
   // MIMO 4x4:2: expect that SNR is increased by a factor of 3 dB (10 log 4/2) compared to SISO thanks to RX diversity
@@ -432,7 +433,7 @@
   interference.SetNumberOfReceiveAntennas (4);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 3, 0.1, "SNR not within tolerance for 4x4:2 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 4x4:2 MIMO");
 
   // MIMO 4x4:3: expect that SNR is increased by a factor of 1.2 dB (10 log 4/3) compared to SISO thanks to RX diversity
@@ -441,7 +442,7 @@
   interference.SetNumberOfReceiveAntennas (4);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr + 1.2, 0.1, "SNR not within tolerance for 4x4:3 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_GT (chunkSuccess, sisoChunkSuccess, "CSR not within tolerance for 4x4:1 MIMO");
 
   // MIMO 4x4:4: expect no SNR gain in AWGN channel
@@ -450,7 +451,7 @@
   interference.SetNumberOfReceiveAntennas (4);
   snr = interference.CalculateSnr (0.001, 0.001 / DbToRatio (initialSnr), txVector.GetChannelWidth (), txVector.GetNss ());
   NS_TEST_ASSERT_MSG_EQ_TOL (RatioToDb (snr), initialSnr, 0.1, "SNR not within tolerance for 4x4:4 MIMO");
-  chunkSuccess = interference.CalculateChunkSuccessRate (snr, duration, mode, txVector);
+  chunkSuccess = interference.CalculatePayloadChunkSuccessRate (snr, duration, txVector);
   NS_TEST_ASSERT_MSG_EQ_TOL (chunkSuccess, sisoChunkSuccess, 0.000001, "CSR not within tolerance for 4x4:4 MIMO");
 }
 
